Bug 976868 - '/usr/libexec/rhsmd' dbus service script does not log at all
'/usr/libexec/rhsmd' dbus service script does not log at all
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-06-21 13:27 EDT by Adrian Likins
Modified: 2013-10-01 09:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:48:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2013-06-21 13:27:40 EDT
Description of problem:

The '/usr/libexec/rhsmd' script which implements the 
"com.redhat.SubscriptionManager/EntitlementStatus" inteface, does
not log to the rhsm log at all. 

This service can potentially make network calls (via it's 
CERT_SORTER require), it should be setup with a log handler
for the standard rhsm.log
Comment 1 Adrian Likins 2013-07-03 14:24:43 EDT
commit 23e8636b8398abff919e52cc892e965fe03f97cb
Author: Adrian Likins <alikins@redhat.com>
Date:   Tue Jun 25 14:58:58 2013 -0400

    976868: improve rhsmd logging
    
    Setup a logger at module scope.
    
    If running debug, log any of the existing debug
    messages to log.debug as well.
    
    log.info any messages that would previously
    get syslog()'ed as well.
    
    Simplify syslog logging.
    
    More detailed log messages.
Comment 2 John Sefler 2013-07-16 18:39:25 EDT
Verifying Version....
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.13-1.el5

[root@jsefler-5 ~]# /usr/libexec/rhsmd -s -d -i -f warning
forcing status signal from cli arg


[root@jsefler-5 ~]# tail -f /var/log/rhsm/rhsm.log
2013-07-16 18:34:29,408 [INFO]  @rhsmd:194 - rhsmd started
2013-07-16 18:34:29,409 [INFO]  @rhsmd:225 - logging subscription status to syslog
2013-07-16 18:34:29,409 [DEBUG]  @rhsmd:60 - forcing status signal from cli arg
2013-07-16 18:34:29,409 [INFO]  @rhsmd:189 - rhsmd: This system's subscriptions are about to expire. Please run subscription-manager for more information.


[root@jsefler-5 ~]# tail -f /var/log/messages
Jul 16 18:34:11 jsefler-5 rhsmd: This system's subscriptions are about to expire. Please run subscription-manager for more information.

Note You need to log in before you can comment on or make changes to this bug.